Subject: Re: [PATCH] powerpc: Add POWER9 copy_page() loop

From: Anton Blanchard <[email-masked]>
Date: Mon, 3 Apr 2017 10:54:34 +1000

Hi Nick,

> > Good idea, I hadn't thought of embedding it all in a feature
> > section.  
> 
> It may not work currently because you get those ftr_alt_97 relocation
> errors with the "else" parts because relative branches to other code
> need to be direct and I think reachable from both places.

I thought about this a bit more. One potential issue will be
profiling - perf annotate will match the samples against the unpatched
code which could be very confusing.

Anton